package com.xt.hb.data.aq.aqmap;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.xt.hb.data.aq.model.AQUser;
import com.xt.hb.data.aq.model.Qsk;
import com.xt.hb.data.aq.model.ThreeColumn;
import com.xt.hb.data.aq.model.Whzysq;
import com.xt.hb.data.cbyj.model.Cbgg;

public interface AqcxMapper {

	/**
	 * 根据经营人ID查询经营人基础信息
	 * 
	 * @param id
	 * @return
	 */
	Map<String, Object> selectJyrjcxxByGisId(String id);

	/**
	 * 根据经营人ID查询码头列表
	 * 
	 * @param jyrid
	 * @return
	 */
	List<String> selectMtByJyrid(long jyrid);

	/**
	 * 湖北省所在地查询
	 * 
	 * @return ID,MC
	 */
	List<ThreeColumn> selectHbszd();

	/**
	 * 根据fid获取下级
	 * 
	 * @param fid
	 * @return
	 */
	List<ThreeColumn> selectHbszdByFID(@Param("fid") String fid);

	/**
	 * 根据所在地ID查询港区名称和ID
	 * 
	 * @param szd
	 * @return
	 */
	List<ThreeColumn> selectGqByCity(String szd);

	/**
	 * 根据港区查找经营人
	 * 
	 * @param gq
	 * @return
	 */
	List<ThreeColumn> selectJyrmcByGq(long gq);

	/**
	 * 根据港区查找危货企业
	 * 
	 * @param gq
	 * @return
	 */
	List<ThreeColumn> selectWhJyrmcByGq(long gq);

	/**
	 * 根据码头GISID查询码头详细信息
	 * 
	 * @param id
	 * @return
	 */
	Map<String, Object> selectMtxxByGisId(String id);

	/**
	 * 根据港区ID查询港区详细信息
	 * 
	 * @param id
	 * @return
	 */
	Map<String, Object> selectGqxxByGisId(String id);

	/**
	 * 根据泊位ID查询泊位详细信息
	 * 
	 * @param id
	 * @return
	 */
	Map<String, Object> selectBwxxByGisId(String id);

	/**
	 * 插入船舶预警公告
	 * 
	 * @param record
	 * @return
	 */
	int insertCbgg(Cbgg record);

	/**
	 * 根据gis id查询取水口详细信息
	 * 
	 * @param gisid
	 * @return
	 */
	Qsk selectQskByGisId(String id);

	/**
	 * 根据用户名查询安全系统用户
	 * 
	 * @param username
	 * @return
	 */
	AQUser selectUserByName(String username);

	/**
	 * 根据泊位ID查询泊位上的危货作业申请
	 * 
	 * @param id
	 * @return
	 */
	List<Whzysq> selectWhzysqByBwid(String id);
}